import { RollupOptions } from 'rollup';
export interface SnowpackConfig {
    dedupe?: string[];
    namedExports?: {
        [filepath: string]: string[];
    };
    installOptions: {
        babel?: boolean;
        clean?: boolean;
        hash?: boolean;
        dest?: string;
        exclude?: string[];
        externalPackage?: string[];
        include?: string;
        nomodule?: string;
        nomoduleOutput?: string;
        optimize?: boolean;
        remotePackage?: string[];
        remoteUrl?: string;
        sourceMap?: boolean | 'inline';
        stat?: boolean;
        strict?: boolean;
    };
    rollup?: {
        plugins?: RollupOptions['plugins'];
    };
    webDependencies?: string[];
}
export default function loadConfig(cliFlags?: SnowpackConfig): {
    config: SnowpackConfig;
    errors: string[];
};
